package com.bootdo.data.service;

import com.bootdo.data.domain.CaDetail;

import java.util.List;

import com.bootdo.data.domain.CaDetailExample;

public interface CaDetailService {


    long countByExample(CaDetailExample example);

    int deleteByExample(CaDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(CaDetail record);

    int insertSelective(CaDetail record);

    List<CaDetail> selectByExample(CaDetailExample example);

    CaDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(CaDetail record, CaDetailExample example);

    int updateByExample(CaDetail record, CaDetailExample example);

    int updateByPrimaryKeySelective(CaDetail record);

    int updateByPrimaryKey(CaDetail record);

}
